org.apache.hadoop.fs.http.server

## Class FSOperations.FSSetStoragePolicy

- java.lang.Object
- - org.apache.hadoop.fs.http.server.FSOperations.FSSetStoragePolicy

- All Implemented Interfaces:
    FileSystemAccess.FileSystemExecutor<Void>
  Enclosing class:
    FSOperations

      @InterfaceAudience.Private
      public static class FSOperations.FSSetStoragePolicy
      extends Object
      implements FileSystemAccess.FileSystemExecutor<Void>

  Executor that performs a setStoragePolicy FileSystemAccess files system operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSSetStoragePolicy(String path, String policyName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.apache.hadoop.fs.FileSystem fs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSSetStoragePolicy

          public FSSetStoragePolicy(String path,
                                    String policyName)

  - ### Method Detail

    - #### execute

          public Void execute(org.apache.hadoop.fs.FileSystem fs)
                       throws IOException

      Specified by:
        `execute` in interface `FileSystemAccess.FileSystemExecutor<Void>`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.